/*==========================================================================*/
/*                                                                          */
/*      INCLUDE_FILE:   I2C_C.H                                             */
/*      PACKAGE:        I2C                                                 */
/*                                                                          */
/*==========================================================================*/


/*==========================================================================*/
/*      G L O B A L   F U N C T I O N   P R O T O T Y P E S                 */
/*==========================================================================*/

bit I2C_INIT(char Own_Slv_Addr,char *Slv_Buf_Ptr,char Retry);
bit I2C_TEST_Device(char Slv_Addr);
bit I2C_WRITE(char Slv_Addr,char Count,char *Source_Ptr);
bit I2C_WRITE_SUB(char Slv_Addr,char Count,char *Source_Ptr,char Sub_Addr);
bit I2C_WRITE_SUB_SWINC(char Slv_Addr,char Count,char *Source_Ptr,char Sub_Addr);
bit I2C_WRITE_MEMORY(char Slv_Addr,char Count,char *Source_Ptr,char Sub_Addr);
bit I2C_WRITE_SUB_WRITE(char Slv_Addr,char Count_1,char *Source_Ptr_1,char Sub_Addr,char Count_2,char *Source_Ptr_2);
bit I2C_WRITE_SUB_READ(char Slv_Addr,char Count_1,char *Source_Ptr,char Sub_Addr,char Count,char *Dest_Ptr);
bit I2C_WRITE_COM_WRITE(char Slv_Addr,char Count_1,char *Source_Ptr_1,char Count_2,char *Source_Ptr_2);
bit I2C_WRITE_REP_WRITE(char Slv_Addr,char Count_1,char *Source_Ptr_1,char Sub_Addr,char Count_2,char *Source_Ptr_2);
bit I2C_WRITE_REP_READ(char Slv_Addr,char Count_1,char *Source_Ptr,char Sub_Addr,char Count_2,char *Dest_Ptr);
bit I2C_READ(char Slv_Addr,char Count,char *Dest_Ptr);
bit I2C_READ_STATUS(char Slv_Addr,char *Dest_Ptr);
bit I2C_READ_SUB(char Slv_Addr,char Count,char *Dest_Ptr,char Sub_Addr);
bit I2C_READ_REP_READ(char Slv_Addr,char Count_1,char *Dest_Ptr_1,char Sub_Addr,char Count_2,char *Dest_Ptr_2);
bit I2C_READ_REP_WRITE(char Slv_Addr,char Count_1,char *Dest_Ptr_1,char Sub_Addr,char Count_2,char *Source_Ptr);
