/******************************************************************
  Program do obsugi funkcji interfejsu sprztowego I2C PCF8584.
  Zbir nagwkowy zawierajcy szereg lokalnych deklaracji
  staych i funkcji. Na podstawie AN95068 firmy Philips

  Raisonance RC-51
 ******************************************************************/



#define	ST_IDLE			0x00
#define	ST_SENDING		0x01
#define	ST_AWAIT_ACK	0x02
#define	ST_RECEIVING	0x03
#define	ST_RECV_LAST	0x04

#define	SLAVE_IDLE		0x00
#define	SLAVE_TRX		0x01
#define	SLAVE_RCV		0x02
#define	SLAVE_LAST		0x03
#define	SLAVE_READY		0x04

#define	ACK_MASK			0x01
#define	STO_MASK			0x02
#define	STA_MASK			0x04
#define	ENI_MASK			0x08
#define	ESO_MASK			0x40

#define	BB_MASK			0x01
#define	LAB_MASK			0x02
#define	AAS_MASK			0x04
#define	LRB_MASK			0x08
#define	BER_MASK			0x10
#define	STS_MASK			0x20
#define	PIN_MASK			0x80

extern unsigned char master;
extern unsigned char intMask;
