typedef	unsigned char	uchar;
typedef	unsigned int	uint;

#define eechar uchar idata	// data space for read, write eeprom
//typedef uchar idata echar;	// not equal above, errorious !!!


#define I2CWAIT		_nop_(),_nop_(),_nop_(),_nop_(),_nop_()
			// 6cycle wait time at 14.7456MHz

#define WRITEPAGE	0x3		// 8 bytes page size

sbit	SSCL = P2^7;
sbit	SSDA = P2^6;


extern	bit Seepromwrite( uint adr, eechar *s, uchar n );
extern	bit Seepromread( uint adr, eechar *s, uchar n );

uchar Si2c_in( bit ack );
bit Si2c_out( uchar b );
bit Si2c_stop(void);
void Si2c_start(void);
